Library class instantiation
Class instantiation

Makes an actual instance of a class which is part of an object library (and not stand-alone). More...

## Macros

#define | FLEXT_LIB(NAME, NEW_CLASS)
| Implementation of a flext class (part of a library) with no arguments. More...
#define | FLEXT_LIB_V(NAME, NEW_CLASS)
| Implementation of a flext class (part of a library) with a variable argument list. More...
#define | FLEXT_LIB_1(NAME, NEW_CLASS, TYPE)
| Implementation of a flext class (part of a library) with one argument. More...
#define | FLEXT_LIB_2(NAME, NEW_CLASS, TYPE1, TYPE2)
| Implementation of a flext class (part of a library) with 2 arguments. More...
#define | FLEXT_LIB_3(NAME, NEW_CLASS, TYPE1, TYPE2, TYPE3)
| Implementation of a flext class (part of a library) with 3 arguments. More...

## Detailed Description

Makes an actual instance of a class which is part of an object library (and not stand-alone).

## Macro Definition Documentation

## FLEXT_LIB

#define FLEXT_LIB | ( |  | NAME,
|  |  | NEW_CLASS
| ) |  |

Value:
\
REAL_NEW(NAME,NEW_CLASS,0,0,1)

Implementation of a flext class (part of a library) with no arguments.

## FLEXT_LIB_1

#define FLEXT_LIB_1 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE
| ) |  |

Value:
\
REAL_NEW_1(NAME,NEW_CLASS, 0,0,1, TYPE)

Implementation of a flext class (part of a library) with one argument.

## FLEXT_LIB_2

#define FLEXT_LIB_2 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE1,
|  |  | TYPE2
| ) |  |

Value:
\
REAL_NEW_2(NAME,NEW_CLASS, 0,0,1, TYPE1, TYPE2)

Implementation of a flext class (part of a library) with 2 arguments.

## FLEXT_LIB_3

#define FLEXT_LIB_3 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE1,
|  |  | TYPE2,
|  |  | TYPE3
| ) |  |

Value:
\
REAL_NEW_3(NAME,NEW_CLASS, 0,0,1, TYPE1, TYPE2, TYPE3)

Implementation of a flext class (part of a library) with 3 arguments.

## FLEXT_LIB_V

#define FLEXT_LIB_V | ( |  | NAME,
|  |  | NEW_CLASS
| ) |  |

Value:
\
REAL_NEW_V(NAME,NEW_CLASS, 0,0,1)

Implementation of a flext class (part of a library) with a variable argument list.